Name:		TeXmacs
Version:	1.0.6
Release:	1%{?dist}
Summary:	Structured wysiwyg scientific text editor

Group:		Applications/Editors
License:	GPL
URL:		http://www.texmacs.org
Source:		ftp://ftp.texmacs.org/pub/TeXmacs/targz/TeXmacs-1.0.6-src.tar.gz
Patch0:		TeXmacs-maxima.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	tetex, tetex-fonts, ghostscript
Buildrequires:	guile-devel, desktop-file-utils, tetex, freetype-devel
Buildrequires:  xorg-x11-devel
Requires:	fig2ps
Requires(post): shared-mime-info, desktop-file-utils
Requires(postun): shared-mime-info, desktop-file-utils

%description
GNU TeXmacs is a free scientific text editor, which was both inspired
by TeX and GNU Emacs. The editor allows you to write structured
documents via a wysiwyg (what-you-see-is-what-you-get) and user
friendly interface.  New styles may be created by the user. The
program implements high-quality typesetting algorithms and TeX fonts,
which help you to produce professionally looking documents.

The high typesetting quality still goes through for automatically
generated formulas, which makes TeXmacs suitable as an interface for
computer algebra systems. TeXmacs also supports the Guile/Scheme
extension language, so that you may customize the interface and write
your own extensions to the editor.

In the future, TeXmacs is planned to evolve towards a complete
scientific office suite, with spreadsheet capacities, a technical
drawing editor and a presentation mode.


%prep
%setup -q -n TeXmacs-%{version}-src
%patch0 -p1
perl -pi -e "s|LDPATH = \@CONFIG_BPATH\@|LDPATH =|" src/makefile.in


%build
%configure
perl -pi -e "s|^CXXOPTIMIZE =.*|CXXOPTIMIZE = $RPM_OPT_FLAGS|" src/common.makefile
make %{?_smp_mflags}


%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs
chmod -f 644 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9/*
chmod -f 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.applications $RPM_BUILD_ROOT%{_datadir}/application-registry
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.keys $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.mime $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -fr $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cat > $RPM_BUILD_ROOT%{_datadir}/mime/packages/texmacs.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
    <mime-type type="text/texmacs">
        <comment xml:lang="en">TeXmacs document</comment>
        <glob pattern="*.tm"/>
        <glob pattern="*.ts"/>
  </mime-type>
</mime-info>
EOF

cat > texmacs.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=texmacs
Icon=%{_datadir}/pixmaps/TeXmacs.xpm
Name=GNU TeXmacs
Terminal=0
Comment=A structured wysiwyg scientific text editor
Encoding=UTF-8
MimeType=text/texmacs;text/english;text/plain;text/x-tex;
X-Desktop-File-Install-Version=0.4
StartupWMClass=TeXmacs
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Office \
    --add-category WordProcessor \
    --add-category Math \
    --add-category TextEditor \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    texmacs.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes
cp $RPM_BUILD_ROOT%{_datadir}/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-text-texmacs.xpm

rm -f $RPM_BUILD_ROOT%{_bindir}/fig2ps
rm -f $RPM_BUILD_ROOT%{_mandir}/man*/fig2ps*


%post
/usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%postun
/usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE COPYING TeXmacs/README TeXmacs/TEX_FONTS
%{_bindir}/*
%{_includedir}/*
%{_mandir}/man*/*
%{_libexecdir}/*
%{_datadir}/TeXmacs
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-text-texmacs.xpm


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Dec 31 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.6-1
- New Version 1.0.6

* Mon Nov  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.12-1
- New Version 1.0.5.12

* Fri Nov  4 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.11-3
- remove fig2ps and require it

* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.11-2
- replace XFree86-devel by xorg-x11-devel

* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.11-1
- New Version 1.0.5.11

* Tue Oct 11 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.10-2
- Patch for tm_maxima to recognize maxima 5.9.1.9 versions

* Mon Oct 10 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.10-1
- New Version 1.0.5.10

* Wed Sep 28 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.9
- New Version 1.0.5.9

* Tue Sep 20 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.8
- New Version 1.0.5.8

* Mon Aug 22 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.7
- New Version 1.0.5.7

* Mon Jul 25 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.6
- New Version 1.0.5.6

* Tue Jul  5 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.5
- New Version 1.0.5.5

* Tue Jun 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.4
- New Version 1.0.5.4

* Wed Jun 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5.3
- New Version 1.0.5.3

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.0.5-3
- rebuild on all arches

* Thu Apr 28 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.5-1
- New Version 1.0.5

* Mon Apr  4 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0.4.7-1
- New Version 1.0.4.7

* Mon Feb 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.6-1
- New Version 1.0.4.6

* Mon Dec  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.5-0.fdr.1
- New Version 1.0.4.5

* Mon Nov 15 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.4-0.fdr.1
- New Version 1.0.4.4
- Added support for new mime system

* Sun Oct 24 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.3-0.fdr.1
- New Version 1.0.4.3

* Tue Aug 31 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.2-0.fdr.1
- New Version 1.0.4.2

* Mon Aug  9 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.4.1-0.fdr.1
- New Version 1.0.4.1

* Sat Jul 17 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.3.11-0.fdr.1
- New Version 1.0.3.11

* Sun May 23 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.3.9-0.fdr.1
- New Version 1.0.3.9

* Sun Apr  4 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.3.6-0.fdr.1
- New Version 1.0.3.6

* Mon Dec  1 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.9-0.fdr.1
- New Version 1.0.2.9

* Fri Nov 14 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.7-0.fdr.1
- New Version 1.0.2.7

* Wed Nov  5 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.6-0.fdr.1
- First Fedora release

* Mon Sep 22 2003   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.1.24 Release tag set by the configure script

* Sat Jun 28 2003   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.1.16 Moved "TeXmacs-%{version}" in root directory to "TeXmacs"

* Tue Jul 22 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.0.10 Migrated architecture dependent options to configure.in

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.14 Added -f for chmod

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.11 Extra compilation options reduce size of executable

* Sun Nov 26 2001   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.7 TeXmacs mime types & pixmap

* Thu Jul 5 2001   Joris van der Hoeven & Christophe Merlet
- 0.3.4.3 Further corrections

* Sun Jun 3 2001   Bo Forslund  <bo.forslund@abc.se>
- 0.3.4.3 Some tiny adjustments in the spec
